Package org.springframework.security.authentication

# Class AccountStatusUserDetailsChecker

java.lang.Object
org.springframework.security.authentication.AccountStatusUserDetailsChecker

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.MessageSourceAware`, `UserDetailsChecker`

public class AccountStatusUserDetailsChecker extends Object implements UserDetailsChecker, org.springframework.context.MessageSourceAware

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.springframework.context.support.MessageSourceAccessor`
`messages`

## Constructor Summary

Constructors
Constructor
Description
`AccountStatusUserDetailsChecker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`check(UserDetails user)`
Examines the User
`void`
`setMessageSource(org.springframework.context.MessageSource messageSource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### messages

protected org.springframework.context.support.MessageSourceAccessor messages

## Constructor Details

### AccountStatusUserDetailsChecker

public AccountStatusUserDetailsChecker()

## Method Details

### check

public void check(UserDetails user)
Description copied from interface: `UserDetailsChecker`
Examines the User

Specified by:
  `check` in interface `UserDetailsChecker`
Parameters:
  `user` - the UserDetails instance whose status should be checked.

### setMessageSource

public void setMessageSource(org.springframework.context.MessageSource messageSource)

Specified by:
  `setMessageSource` in interface `org.springframework.context.MessageSourceAware`
Since:
  5.2